Action Network Help & FAQs

System requirements

All you need is a web browser and the Internet!

The Action Network supports all modern browsers, including Internet Explorer 10 and up. We require javascript to be turned on as well.

Have more questions? Submit a request